SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002240: 2.3RC1: EMI/Quality of Service should not use int for portvaildation but a port validator and add - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002240Endian FirewallOther Servicespublic2009-10-06 15:442010-11-22 12:04
Reportersimon-endian 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3-rc1 
Target VersionFixed in Version2.3 
Summary0002240: 2.3RC1: EMI/Quality of Service should not use int for portvaildation but a port validator and add
DescriptionIn generall it would realy be good to be able to add a port-range in the 0:65535 syntax (or something similar). Some protocols like Bit-Torrent use many ports (dest. 6881 - 6999 and more), typing in over 110 lines is not great fun.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002178closedsimon-endian 2.3RC1: Quality of Service - Rules: Can not add a GRE or ESP service rule 
has duplicate 0002416closed QoS rules do not allow port-ranges 
has duplicate 0002582closed Quality of Service > Rule > Destination port : "some error" 

-  Notes
(0003150)
simon-endian (developer)
2009-10-27 10:26

created port and portrange validator for emi
(0003154)
simon-endian (developer)
2009-10-27 12:32

now it is possible to add portranges at qos e.g.: 22:100
(0003239)
Anonymous (viewer)
2009-11-05 07:29

same error with port ranges in Endian 2.3-0 (Deployset #0)
(0003304)
peter-endian (administrator)
2009-11-16 11:51

this is resolved in our source trunk. however not released yet. will come with the 2.3 upgrades

- Issue History
Date Modified Username Field Change
2009-10-06 15:44 simon-endian New Issue
2009-10-06 15:44 simon-endian Issue generated from: 0002178
2009-10-06 15:44 simon-endian Relationship added related to 0002178
2009-10-06 15:48 simon-endian Assigned To => simon-endian
2009-10-08 15:26 peter-endian Status new => assigned
2009-10-27 10:26 simon-endian Note Added: 0003150
2009-10-27 12:32 simon-endian Note Added: 0003154
2009-10-27 12:32 simon-endian Status assigned => resolved
2009-10-27 12:32 simon-endian Fixed in Version => 2.3
2009-10-27 12:32 simon-endian Resolution open => fixed
2009-11-05 07:29 Anonymous Note Added: 0003239
2009-11-05 07:29 Anonymous Status resolved => feedback
2009-11-05 07:29 Anonymous Resolution fixed => reopened
2009-11-16 11:51 peter-endian Note Added: 0003304
2009-11-16 11:51 peter-endian Status feedback => resolved
2009-11-16 11:51 peter-endian Resolution reopened => fixed
2009-11-16 11:51 peter-endian Relationship added has duplicate 0002033
2009-11-16 11:52 peter-endian Relationship added has duplicate 0002416
2009-11-16 11:52 peter-endian Relationship deleted has duplicate 0002033
2010-01-04 17:10 peter-endian Relationship added has duplicate 0002582
2010-11-22 12:04 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker